local evagCategory = {

	["station/bus/evag_haltestellenschild_steig1.mdl"] = "evag",
	["station/bus/evag_haltestellenschild_steig2.mdl"] = "evag",
	["station/bus/evag_haltestellenschild_steig3.mdl"] = "evag",
	["station/bus/evag_haltestellenschild_steig4.mdl"] = "evag",
}

function data()
return {
  info = {
    minorVersion = 1,
    severityAdd = "NONE",
    severityRemove = "CRITICAL",
    name = _("EVAG-Bus-/Tramhaltestelle"),
    description = _("4 Bus-/Tramhaltestellen; Steig 1-4 im EVAG Design"),
    authors = {
      {
        name = "majuen",
        role = "CREATOR",
        text = "More mods : majuen.de",
        steamProfile = "76561198021237174",
		tfnetId = "22588"
      },
    },
    tags = {"bus station", "tram station"},
  },
  runFn = function (settings)
		addModifier("loadModel", function (fileName, data)
			if data.metadata and data.metadata.streetTerminal then
				if type(data.metadata.category) ~= "table" then
					data.metadata.category = {categories = {}}
				end
				local fileNameLocal = string.gsub(fileName, ".*/res/models/model/(.+[.]mdl)", "%1")
				
				data.metadata.category.categories[#data.metadata.category.categories+1] = evagCategory[fileNameLocal]
				
			end
			
			return data
		end)

  end
}
end